Package org.eclipse.net4j.util.security.operations

# Klasse AuthorizableOperation.Builder

java.lang.Object
org.eclipse.net4j.util.security.operations.AuthorizableOperation.Builder

Umschließende Klasse:
  `AuthorizableOperation`

public static final class AuthorizableOperation.Builder extends Object

Autor:
  Eike Stepper

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`Builder(String id)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`AuthorizableOperation`
`build()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`id()`
`Object`
`parameter(String key)`
`AuthorizableOperation.Builder`
`parameter(String key, Object value)`
`Map<String,Object>`
`parameters()`
`String`
`toString()`

### Von Klasse geerbte Methoden java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Konstruktordetails

### Builder

public Builder(String id)

## Methodendetails

### id

public String id()

### parameters

public Map<String,Object> parameters()

### parameter

public Object parameter(String key)

### parameter

public AuthorizableOperation.Builder parameter(String key, Object value)

### build

public AuthorizableOperation build()

### hashCode

public int hashCode()

Setzt außer Kraft:
  `hashCode` in Klasse `Object`

### equals

public boolean equals(Object obj)

Setzt außer Kraft:
  `equals` in Klasse `Object`

### toString

public String toString()

Setzt außer Kraft:
  `toString` in Klasse `Object`